Bug 1325338 - [abrt] ibus-typing-booster: main.py:166:__init__:AttributeError: 'NoneType' object has no attribute 'get_value'
Summary: [abrt] ibus-typing-booster: main.py:166:__init__:AttributeError: 'NoneType' o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2cd28acc1ce218123c7b4f482da...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-08 13:18 UTC by Parag Nemade
Modified: 2016-04-20 15:17 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-1.4.0-3.fc23 ibus-typing-booster-1.4.0-3.fc24 ibus-typing-booster-1.4.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-13 07:19:36 UTC


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2016-04-08 13:18 UTC, Parag Nemade
no flags Details
File: environ (2.26 KB, text/plain)
2016-04-08 13:18 UTC, Parag Nemade
no flags Details
0001-Call-IBus.Bus-in-__main__-not-in-__init__-of-class-S.patch (2.54 KB, patch)
2016-04-11 08:31 UTC, Mike FABIAN
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1203537 None None None Never

Internal Links: 1203537

Description Parag Nemade 2016-04-08 13:18:17 UTC
Description of problem:
Add any Indic related hunspell input method say "Oriya (Odiya - IN (Hunspell))" and click on its configuration/setup icon and i-t-b crashed

Version-Release number of selected component:
ibus-typing-booster-1.3.1-1.fc24

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/setup/main.py
executable:     /usr/share/ibus-typing-booster/setup/main.py
kernel:         4.5.0-302.fc24.x86_64+debug
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
main.py:166:__init__:AttributeError: 'NoneType' object has no attribute 'get_value'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/setup/main.py", line 551, in <module>
    SetupUi = SetupUI()
  File "/usr/share/ibus-typing-booster/setup/main.py", line 166, in __init__
    self.config.get_value(self.config_section, 'tabenable'))
AttributeError: 'NoneType' object has no attribute 'get_value'

Local variables in innermost frame:
tab_enable_checkbox: <Gtk.CheckButton object at 0x7ffaf3548af8 (GtkCheckButton at 0x5628de1724a0)>
event_handler: <__main__.EventHandler object at 0x7ffafe9691d0>
close_button: <Gtk.Button object at 0x7ffaf35488b8 (GtkButton at 0x5628de174370)>
self: <__main__.SetupUI object at 0x7ffafc0a70b8>
config_file_full_path: '/usr/share/ibus-typing-booster/hunspell-tables/pa_IN.conf'
filename: '/usr/share/ibus-typing-booster/setup/setup.glade'
maindialog: <Gtk.Dialog object at 0x7ffaf35486c0 (GtkDialog at 0x5628ddf662d0)>
ibus_engine_name: 'typing-booster:pa_IN'
service: <__main__.SetupService at /org/ibus/typingbooster at 0x7ffb013a4a90>

Comment 1 Parag Nemade 2016-04-08 13:18:23 UTC
Created attachment 1145136 [details]
File: backtrace

Comment 2 Parag Nemade 2016-04-08 13:18:25 UTC
Created attachment 1145137 [details]
File: environ

Comment 3 Mike FABIAN 2016-04-08 15:18:05 UTC
Yes, I also found this.

It happens only on F24, not on F23.

Comment 4 Fedora Update System 2016-04-09 07:48:28 UTC
ibus-typing-booster-1.4.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2a544c507

Comment 5 Fedora Update System 2016-04-09 07:49:07 UTC
ibus-typing-booster-1.4.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b894295663

Comment 6 Fedora Update System 2016-04-09 07:49:45 UTC
ibus-typing-booster-1.4.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5b134fdd67

Comment 7 Fedora Update System 2016-04-09 21:22:22 UTC
ibus-typing-booster-1.4.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5b134fdd67

Comment 8 Fedora Update System 2016-04-10 15:20:03 UTC
ibus-typing-booster-1.4.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2a544c507

Comment 9 Fedora Update System 2016-04-10 15:48:40 UTC
ibus-typing-booster-1.4.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b894295663

Comment 10 Mike FABIAN 2016-04-11 08:31:18 UTC
Created attachment 1145863 [details]
0001-Call-IBus.Bus-in-__main__-not-in-__init__-of-class-S.patch

The patch I used to fix this.

Comment 11 Fedora Update System 2016-04-13 07:19:34 UTC
ibus-typing-booster-1.4.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-18 17:28:48 UTC
ibus-typing-booster-1.4.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-20 15:17:25 UTC
ibus-typing-booster-1.4.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.